<template>
  <div>
    <b-card title="Search for a user's sessions">
      <b-form inline @submit="onFormSessionSearchSubmit">
        <label class="sr-only" for="form-session-search-input-name"
          >Login</label
        >
        <b-form-input
          id="form-session-search-input-name"
          v-model="formSessionSearchData.login"
          class="mb-2 mr-sm-2 mb-sm-0"
          required
          placeholder="xavier.login"
        ></b-form-input>

        <b-button type="submit" variant="primary">Search</b-button>
      </b-form>
    </b-card>
  </div>
</template>

<script>
export default {
  middleware: ["auth"],
  data() {
    return {
      formSessionSearchData: {
        login: '',
      },
    }
  },
  methods: {
    onFormSessionSearchSubmit(event) {
      event.preventDefault()
      this.$router.push(`/sessions/${this.formSessionSearchData.login}`)
    },
  },
}
</script>
